Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.utils
Class IdmConfigUtilities

    java.lang.Object
      oracle.ifs.admin.utils.IdmConfigUtilities

    public class IdmConfigUtilities

extends java.lang.Object

A utility class for IDM Credential manager

Constructor Summary
`IdmConfigUtilities()`

Method Summary
`static java.lang.String[]` | `convertTokenizedStringToArray(java.lang.String str, java.lang.String delimeter)`
`static java.util.Hashtable` | `setupIdmStoreEnv(java.util.Hashtable options)`
`static java.util.Hashtable` | `setupOidEnv(java.util.Hashtable options)`
`static java.util.Hashtable` | `setupThirdPartyLdapEnv(java.util.Hashtable options)`
`static java.util.Hashtable` | `setupXmlEnv(java.util.Hashtable options)`
`static java.lang.String` | `validateStringValue(java.util.Hashtable options, java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdmConfigUtilities

    public IdmConfigUtilities()

Method Detail

### setupIdmStoreEnv

    public static java.util.Hashtable setupIdmStoreEnv(java.util.Hashtable options)
                                                throws IfsException

  Throws:
    `IfsException`

### setupXmlEnv

    public static java.util.Hashtable setupXmlEnv(java.util.Hashtable options)
                                           throws IfsException

  Throws:
    `IfsException`

### setupOidEnv

    public static java.util.Hashtable setupOidEnv(java.util.Hashtable options)
                                           throws IfsException

  Throws:
    `IfsException`

### setupThirdPartyLdapEnv

    public static java.util.Hashtable setupThirdPartyLdapEnv(java.util.Hashtable options)
                                                      throws IfsException

  Throws:
    `IfsException`

### validateStringValue

    public static java.lang.String validateStringValue(java.util.Hashtable options,
                                                       java.lang.String key)
                                                throws IfsException

  Throws:
    `IfsException`

### convertTokenizedStringToArray

    public static java.lang.String[] convertTokenizedStringToArray(java.lang.String str,
                                                                   java.lang.String delimeter)
                                                            throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD